> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get multiple Cardano datums by their hashes in a single request with CBOR and JSON representations for smart contracts.

# Datums by hashes



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json post /datums
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /datums:
    post:
      tags:
        - Datums
      summary: Datums by hashes
      description: >-
        Returns the datums corresponding to the specified datum hashes, if the
        datums have been seen on-chain
      operationId: datums_by_hashes
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
            example:
              - f03819a4039003a8c6b65153351adbc61f983bd22787ed238a5b4f24a01aa5d6
              - 5f7f360208c46d739296ea3ff4f41d85240d94aa3f59e5b1c82c2bbeceb57f23
        required: true
      responses:
        '200':
          description: Map of datum hashes to datum objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedDatumMap'
              example:
                data:
                  5f7f360208c46d739296ea3ff4f41d85240d94aa3f59e5b1c82c2bbeceb57f23:
                    json:
                      fields:
                        - bytes: >-
                            e1d915c10c840017bd39088a82507b27150a438e8907784221491309
                        - bytes: >-
                            e1d915c10c840017bd39088a82507b27150a438e8907784221491309
                    bytes: >-
                      d8799f581ce1d915c10c840017bd3908...1a009896801a9a7ec8001b00000183c392c9a1ff
                  f03819a4039003a8c6b65153351adbc61f983bd22787ed238a5b4f24a01aa5d6:
                    json:
                      fields:
                        - fields:
                            - fields:
                                - bytes: >-
                                    fc6e1b47816bc4a4165a39f3c6dd65868e6b74a743dc2dcf54eb2d4c
                            - fields:
                                - fields:
                                    - fields:
                                        - bytes: >-
                                            d756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29
                    bytes: >-
                      d8799fd8799fd8799f581cfc6e1b47816bc...d8799fd8799f581cd756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29ffffffffd8799fd8799f581cfc6e1b47816bc4a4165a39f3c6dd65868e6b74a743dc2dcf54eb2d4cffd8799fd8799fd8799f581cd756fb7ceee90ed5af3f193d73f9970ca640ab540eedac272cb28c29ffffffffd87a80d87a9fd8799f581c25f0fc240e91bd95dcdaebd2ba7713fc5168ac77234a3d79449fc20c47534f4349455459ff1a0bebc200ff1a001e84801a001e8480ff
                last_updated:
                  timestamp: '2023-10-18 07:30:52'
                  block_hash: >-
                    0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2
                  block_slot: 106047961
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedDatumMap:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          type: object
          description: Endpoint response data
          additionalProperties:
            $ref: '#/components/schemas/Datum'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    Datum:
      type: object
      required:
        - bytes
      properties:
        bytes:
          type: string
          description: Hex encoded datum CBOR bytes
        json:
          type: object
          description: JSON representation of the datum
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````